#!/bin/bash

## Setup MetalLb repo
helm repo add metallb https://metallb.github.io/metallb
helm repo update
helm install metallb metallb/metallb -n metallb-system --create-namespace

echo "Waiting for all the pods to start..."

kubectl wait --namespace metallb-system \
  --for=condition=Ready pod \
  --all \
  --timeout=120s

## Apply the load-balancer IPs
kubectl apply -f manifests/metallb/metallb-config.yaml

## Setup traefik repo
helm repo add traefik https://traefik.github.io/charts
helm repo update
helm install traefik traefik/traefik -n traefik -f ./manifests/traefik/values.yaml --create-namespace

## Setup MetalLb repo
helm repo add longhorn https://charts.longhorn.io
helm repo update
helm install longhorn longhorn/longhorn -n longhorn-system --create-namespace

echo "Waiting for all the pods to start..."

kubectl wait --namespace longhorn-system \
  --for=condition=Ready pod \
  --all \
  --timeout=120s

## Apply ingress rule
kubectl apply -f manifests/longhorn/longhorn-ingress.yaml